org.apache.ignite.internal.visor.query

## Class VisorQueryHolder

- java.lang.Object
- - org.apache.ignite.internal.visor.query.VisorQueryHolder

All Implemented Interfaces:
  AutoCloseable

    public class VisorQueryHolder
    extends Object
    implements AutoCloseable

Holds identify information of executing query and its result.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`void` `complete(QueryCursor cur, long duration, List<VisorQueryField> cols)` Complete query execution.
`long` `duration()`
`List<VisorQueryField>` `getColumns()`
`Throwable` `getErr()`
`Iterator` `getIterator()`
`String` `getQueryID()`
`boolean` `isAccessed()`
`static boolean` `isSqlQuery(String qryId)`
`void` `setAccessed(boolean accessed)`
`void` `setError(Throwable err)` Set error caught during query execution.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isSqlQuery

    public static boolean isSqlQuery(String qryId)

Parameters:
  `qryId` - Query ID.
Returns:
  `true` if holder contains SQL query.

#### getQueryID

    public String getQueryID()

Returns:
  Query ID for extraction query data result.

#### getIterator

    public Iterator getIterator()

Returns:
  Result set iterator.

#### getColumns

    public List<VisorQueryField> getColumns()

Returns:
  Query column descriptors.

#### complete

    public void complete(QueryCursor cur,
                         long duration,
                         List<VisorQueryField> cols)

Complete query execution.

Parameters:
  `cur` - Query cursor.
  `duration` - Duration of query execution.
  `cols` - Query column descriptors.

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`

#### getErr

    public Throwable getErr()

Returns:
  Error in process of query result receiving.

#### setError

    public void setError(Throwable err)

Set error caught during query execution.

Parameters:
  `err` - Error caught during query execution.

#### isAccessed

    public boolean isAccessed()

Returns:
  Flag indicating that this future was read from last check..

#### setAccessed

    public void setAccessed(boolean accessed)

Parameters:
  `accessed` - New accessed.

#### duration

    public long duration()

Returns:
  Duration of query execution.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020